Ben
Burton
12:e april, 2003
kapptemplate
1

# `kapptemplate`

Skapar ett ramverk för att utveckla ett KDE-program

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Beskrivning

`kapptemplate` är ett skalskript som skapar det nödvändiga ramverket för att utveckla diverse &kde;-program. Det tar hand om koden för autoconf/automake samt tillhandahåller ett kodskelett och exempel på hur koden oftast ser ut.

Verktyget är en del av &kde;:s programvaruutvecklingsmiljö.

## Väljare

### Allmänna inställningar

`--help`

  Visar en fullständig översikt över väljare.

`--no-init`

  Kör inte `make` `-f` `Makefile.cvs`

`--default`

  Använd förvalda värden istället för att fråga.

### Ramverkstyper

`--full-app`

  Skapa ett KDE-program med alla funktioner.

`--kpart-app`

  Skapa ett KDE-delprogram (Kpart) med alla funktioner.

`--kpart-plugin`

  Skapa ett delprogram (Kpart) insticksprogramramverk.

`--existing`

  Konvertera befintlig källkod till ett KDE-ramverk med automake och autoconf

## Filer

`~/.kapptemplate`

  Lagrar förvalda värden

## Se också

`$PREFIX/share/doc/kapptemplate`

## Upphovsmän

`kapptemplate` är skrivet av &Kurt.Granroth; &Kurt.Granroth.mail;

Den här manualsidan är framtagen av Ben Burton bab@debian.org